Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Module/SolutionRequest.h File Reference

Declaration of class SolutionRequest. More...

`#include "Tools/Streams/InOut.h"`

Include dependency graph for SolutionRequest.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SolutionRequest
| Manages runtime exchangeable modules. More...
## Functions
In & | operator>> (In &stream, SolutionRequest &solutionRequest)
| Streaming operator that reads a SolutionRequest from a stream.
Out & | operator<< (Out &stream, const SolutionRequest &solutionRequest)
| Streaming operator that writes a SolutionRequest to a stream.
## Variables
const int | solutionRequestMaxNumOfSolutions = 40
| maximum number of solutions per module

## Detailed Description

Declaration of class SolutionRequest.

Author:
  Max Risler

  Martin Lötzsch

Definition in file SolutionRequest.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | SolutionRequest & | solutionRequest
| ) |

  | Streaming operator that reads a SolutionRequest from a stream. Parameters:
  stream | The stream from which is read.
  solutionRequest | The SolutionRequest object.
Returns: The stream. Definition at line 57 of file SolutionRequest.cpp. References In::eof(), SolutionRequest::errorWhileReading, SolutionRequest::getNumOfSolutions(), and SolutionRequest::solutions.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const SolutionRequest & | solutionRequest
| ) |

  | Streaming operator that writes a SolutionRequest to a stream. Parameters:
  stream | The stream to write on.
  solutionRequest | The SolutionRequest object.
Returns: The stream. Definition at line 112 of file SolutionRequest.cpp. References endl(), SolutionRequest::getModuleName(), SolutionRequest::getModuleSolutionName(), SolutionRequest::getNumOfSolutions(), and SolutionRequest::solutions.

Here is the call graph for this function:

## Variable Documentation

const int solutionRequestMaxNumOfSolutions = 40

| maximum number of solutions per module Definition at line 16 of file SolutionRequest.h. Referenced by ModuleSelector::selectSolution().